#include <bits/stdc++.h>

typedef long long lld;

int main()
{
    std::ios::sync_with_stdio(false);
    std::cin.tie(0);
    std::cout.tie(0);
    std::cerr.tie(0);

    lld t;
    lld n,m,k;
    lld poGrupiU;
    lld poGrupiB;
    lld zadnjiU;
    lld zadnjiB;

    std::cin >> t;

    std::string rez[t];

    for(int i=0;i<t;++i){
        std::cin>> n >> m >> k;
        if(m<n){
            rez[i] = "Nie\n";
            continue;
        }
        poGrupiU = n/k;
        zadnjiU = n - poGrupiU*(k-1);
        poGrupiB = (poGrupiU*(poGrupiU+1))/2;
        zadnjiB = (zadnjiU*(zadnjiU+1))/2;

        if(poGrupiU*(k-1)+zadnjiU > n){
            rez[i] = "Nie\n";
            continue;
        }

        if(poGrupiB*(k-1)+zadnjiB > m){
            rez[i] = "Nie\n";
            continue;
        }

        rez[i] = "Tak\n";
        continue;
    }

    for(int i=0;i<t;++i) std::cout << rez[i];

    return 0;
}